EDIT - feature request #8320

Links to reference page as appendend icon instead of having the whole citation as link
05/31/2019 05:54 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.8

Severity: normal

Description

Currently the portal creates links to references by turning the whole reference string into a link. Since citation strings tend to be
lengthy, this often causes confusion and unclear page appearances.

A better approach to make reference links would be to append a clickable icon to the citation string. Since this is an internal link a
modified variant of the https://fontawesome.com/icons/external-link-alt?style=solid icon with inwards arrow could be used.

This would allow to also add reference links in footnotes without cluttering the portal pages too much.

Related issues:
Related to EDIT - feature request #7975: Implement a block to display name re... Closed
Related to EDIT - feature request #8384: Consider to use icon links for all r... New

Associated revisions

Revision 2ffe4d59 - 06/28/2019 02:04 PM - Andreas Kohlbecker

fix #8320 links to references as appended icon & custom icon font set

e theme method extended by second dolconLink attribute
o all usages of the theme methods with icon link except for reference result lists
o refrerences in type designation footnotes now with icon link
o adding custom icon fontset

Revision 824ae003 - 07/02/2019 04:08 PM - Andreas Kohlbecker
ref #8320 fixing tab color specificity probelm

Revision 25201777 - 07/08/2019 02:10 PM - Andreas Kohlbecker

ref #8320 fixing buggy implementation of icon links to references in theme function

History

#1 - 05/31/2019 05:57 PM - Andreas Kohlbecker
- Description updated
The most important questions to answer are:

1. Is a appended icon prominent enough, so that users don't oversee them?
2. Are there cases in which linking the whole reference string is required?

Please feel free to give your feedback and opinion.

#2 - 05/31/2019 05:59 PM - Andreas Kohlbecker

- Related to feature request #7975: Implement a block to display name relations added

#3 - 05/31/2019 06:15 PM - Wolf-Henning Kusber

The icon is fine, we do not need the entire string linked.
#4 - 06/03/2019 08:39 AM - Andreas Kohlbecker

- Subject changed from DISCUSS : Links to reference page as appendend icon instead of havin the whole citation as link to DISCUSS : Links to
reference page as appendend icon instead of having the whole citation as link
https://fontawesome.com/icons/external-link-alt?style=solid

#5 - 06/03/2019 01:32 PM - Andreas Miiller
- % Done changed from 0 to 10
Wolf-Henning Kusber wrote:

The icon is fine, we do not need the entire string linked.

| also agree. We should try to implement as suggested and then we can see if for some exceptional use-cases we need still something else.

#6 - 06/03/2019 04:04 PM - Andreas Kohlbecker
- Priority changed from New to Highest
posting Norberts answer received by email:

"l agree too,
Norbert"

#7 - 06/03/2019 04:05 PM - Andreas Kohlbecker

- Subject changed from DISCUSS : Links to reference page as appendend icon instead of having the whole citation as link to Links to reference page
as appendend icon instead of having the whole citation as link

Discussion ended, will now implement ....

#8 - 06/27/2019 07:14 PM - Andreas Kohlbecker

- Tags set to phycobank, cichorieae

#9 - 06/28/2019 02:04 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 10 to 50

Applied in changeset cdm-dataportal|2ffe4d59b3a9ac3747f0b94a761adf3ea0f6de59.

#10 - 06/28/2019 02:05 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

done

#11 - 07/16/2019 03:20 PM - Andreas Miiller
- Status changed from Closed to Resolved

- Assignee changed from Andreas Kohlbecker to Andreas Mtiller

#12 - 07/17/2019 05:13 PM - Andreas Miiller

- Description updated

#13 - 07/17/2019 05:14 PM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Miiller to Andreas Kohlbecker

- % Done changed from 100 to 90

Is there an example somewhere on test server or integration?

#14 - 07/18/2019 08:05 AM - Andreas Kohlbecker
http://int.e-taxonomy.eu/dataportal/integration/reference/cdm_dataportal/taxon/c246856f-c03e-4cb7-ac92-d9b2864084cd

http://int.e-taxonomy.eu/dataportal/integration/reference/cdm_dataportal/taxon/9b588d8a-c4fa-430a-b9c7-026bf715ecf6/synonymy

#15 - 07/18/2019 08:13 AM - Andreas Kohlbecker
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-dataportal/revisions/2ffe4d59b3a9ac3747f0b94a761adf3ea0f6de59
http://int.e-taxonomy.eu/dataportal/integration/reference/cdm_dataportal/taxon/c246856f-c03e-4cb7-ac92-d9b2864084cd
http://int.e-taxonomy.eu/dataportal/integration/reference/cdm_dataportal/taxon/9b588d8a-c4fa-430a-b9c7-026bf715ecf6/synonymy

And this one

http://test.e-taxonomy.eu/dataportal/preview/cichorieae/cdm_dataportal/taxon/a67fc2ab-1452-4c32-84b6-8953111af9d6/synonymy

#16 - 07/18/2019 12:37 PM - Andreas Miiller

Andreas Kohlbecker wrote:

And this one

http://test.e-taxonomy.eu/dataportal/preview/cichorieae/cdm_dataportal/taxon/a67fc2ab-1452-4c32-84b6-8953111af9d6/synonymy

This looks very good and was my main question if we have different icons for external and internal links

#17 - 07/18/2019 12:39 PM - Andreas Miiller
- % Done changed from 90 to 100

Do we have any rules where these icons are used? E.g. in the bibliography they do not seem to be used yet though it might be interesting to have
them there too. Best of course would be to make it configurable.

But these issues are different tickets | guess. So we can close this ticket again. Looks good.
#18 - 07/18/2019 01:13 PM - Andreas Kohlbecker

- Status changed from Feedback to Closed

Andreas Muller wrote:

Do we have any rules where these icons are used? E.g. in the bibliography they do not seem to be used yet though it might be interesting to
have them there too. Best of course would be to make it configurable.

But these issues are different tickets | guess. So we can close this ticket again. Looks good.

Since these icon links are very unobtrusive we could think about adding links to all reference citations. As you said, this is another issue, so | am
closing this ticket - thanks for reviewing.

#19 - 07/19/2019 09:16 AM - Andreas Miiller

- Related to feature request #8384: Consider to use icon links for all reference citations added
http://test.e-taxonomy.eu/dataportal/preview/cichorieae/cdm_dataportal/taxon/a67fc2ab-1452-4c32-84b6-8953111af9d6/synonymy
http://test.e-taxonomy.eu/dataportal/preview/cichorieae/cdm_dataportal/taxon/a67fc2ab-1452-4c32-84b6-8953111af9d6/synonymy
